#ifndef RESULTATANALYSE_H
#define RESULTATANALYSE_H

#include <QList>
#include <QString>
#include <QStringList>


class ResultatAnalyse
{
	// le résultat de l'analyse.
	// action : soit on relance certains dés, soit on marque une ligne

// 	Q_OBJECT

	public:
		ResultatAnalyse();
		~ResultatAnalyse() {}

	enum { relancer, marquerLigne };

	void clear();

		int getAction() { return m_action; }
		void setAction( int ligne, int colonne );
		void setAction( QList<int> liste );

		QList<int> getRejouer() { return m_rejouer; }
		void setRejouer( QList<int> aRejouer ) { m_rejouer = aRejouer; }

		int getLigne() { return m_ligne; }
		void setLigne ( int ligne ) { m_ligne = ligne; }
		int getColonne() { return m_colonne; }
		void setColonne ( int colonne ) { m_colonne = colonne; }

		bool isDirty() { return m_action == relancer && m_rejouer.isEmpty(); }

		void trace(QString);
		QStringList getTrace() { return m_trace; }
		QString getLabelLigne (int ligne) { return m_labelLigne[ligne]; }
		QString getLabelColonne (int colonne) { return m_labelColonne[colonne]; }

	private:
		int m_action;
		QList<int> m_rejouer;
		int m_ligne;
		int m_colonne;
		QStringList m_trace;
		QStringList m_labelLigne;
		QStringList m_labelColonne;
};


#endif // RESULTATANALYSE_H
